UPGRADEPKG(8)

NOMBRE
upgradepkg - actualizar paquetes de Slackware.

SINOPSIS
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] paquetenuevo [paquetenuevo2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] paqueteviejo%paquetenuevo [viejo2%nuevo2]

DESCRIPCIÓN
upgradepkg actualiza un paquete de Slackware de una versión anterior a una versión más reciente. Hace esto al INSTALAR el nuevo paquete en el sistema, y luego al ELIMINAR cualquier archivo del paquete viejo que no se encuentra en el paquete nuevo. Si el paquete viejo y el nuevo tienen el mismo nombre, solo un argumento es necesario. Si los paquetes tienen nombres diferentes, especifique el nombre del paquete viejo seguido por un símbolo de porcentaje (%), luego el nombre del paquete nuevo. No agregue ningún espacio en blanco extra entre los pares de nombres viejo/nuevo de los paquetes. Si upgradepkg encuentra más de un paquete instalado con el mismo nombre del paquete viejo, los eliminará todos.

Para actualizar en un directorio diferente de / (tal como /mnt):

ROOT=/mnt upgradepkg paquete.tgz (o .tbz, .tlz, .txz)

OPCIONES

--dry-run
    Despliega un reporte con los paquetes que serían instalados o actualizados pero no realiza ninguna actualización.

--install-new
    Normalmente upgradepkg solo actualiza paquetes que ya están instalados en el sistema, y se saltará cualquier paquete que no tenga una versión instalada. Si --install-new se especifica, este comportamiento será modificado para instalar nuevos paquetes además de actualizar los ya existentes.

--reinstall
    Upgradepkg usualmente se salta paquetes si el mismo paquete (mismo nombre, versión, arquitectura, y número de compilación) ya está instalado en el sistema. Utilice la opción --reinstall si desea actualizar todos los paquetes a pesar de que la misma versión ya esté instalada.

--verbose
    Mostrar todos los detalles de la actualización.

ERRORES
Antes de actualizar un paquete, guarde cualquier archivo de configuración (como los que se encuentran en /etc) que desea mantener. Algunas veces estos serán preservados, pero depende de la estructura del paquete. Si desea forzar la instalación de nuevas versiones de los archivos de configuración, elimine manualmente los anteriores antes de ejecutar upgradepkg.

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

VER TAMBIÉN
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)